#239 Escaped strings ignore PostgreSQL settings

Major
closed
MRBS (194)
5
2012-08-08
2012-05-10
Holger Schletz
No

After upgrading from PostgreSQL 8.3 to 8.4, I got a warning about nonstandard string escaping. In fact, the behavior depends on some settings which may vary between PostgreSQL versions or sites.

The attached patch ensures compatible settings for the connection. A better, but not so simple solution would be explicit escape string syntax, or not use escaping at all (use prepared statements with placeholders instead).

Discussion

  • Thanks for the patch. The problem has previously been reported and the correct PostgreSQL escaping was applied in Rev 2277.

    Campbell

     
  • Holger Schletz
    Holger Schletz
    2012-05-10

    Thank you for the quick response. The fix in SVN is indeed much better.

     


Anonymous


Cancel   Add attachments